<ng-container *subscribe="nonActiveIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>
<ng-container *subscribe="acceptIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<ng-container *ngIf="vm$ | async as vm">
  <div
    *ngIf="isOpenDetail"
    [ngClass]="[
      'e-walidata-offcanvas-assign-backdrop',
      jds.offcanvasBackdrop,
      'show'
    ]"
  ></div>

  <div
    [ngClass]="[
      'e-walidata-offcanvas-assign',
      jds.offcanvas,
      jds.offcanvasBottom,
      vm.selectedIndicator.length > 0 ? 'show' : ''
    ]"
  >
    <div
      [ngClass]="[
        jds.d('flex'),
        jds.alignItems('center'),
        jds.justifyContent('between'),
        jds.w('full'),
        jds.py(18),
        jds.px(24)
      ]"
    >
      <div
        [style.flexGrow]="1"
        [style.flexBasis]="0"
      >
        <button
          [colorScheme]="'gray'"
          [variant]="'outline'"
          (click)="onRemoveAllSelected()"
          jdsBiButton
        >
          Batal
        </button>
      </div>
      <div
        [ngClass]="[jds.d('flex'), jds.justifyContent('center')]"
        [style.flexGrow]="1"
        [style.flexBasis]="0"
      >
        <button
          [colorScheme]="'gray'"
          [variant]="'link'"
          (click)="isOpenDetail = !isOpenDetail"
          jdsBiButton
        >
          <span
            [ngClass]="[jds.py(0), jds.px(5.5), jds.me(8)]"
            [colorScheme]="colorScheme"
            jdsBiBadge
          >
            {{ vm.selectedIndicator.length }}
          </span>
          <span [ngClass]="[jds.fw('bold'), jds.text('black')]">
            Uraian Terpilih
          </span>
          <div
            [ngClass]="[jds.ms(8)]"
            [style.transform]="isOpenDetail ? 'rotate(-180deg)' : null"
          >
            <ng-container *ngTemplateOutlet="iconChevronDown" />
          </div>
        </button>
      </div>
      <div
        [style.flexGrow]="1"
        [style.flexBasis]="0"
        [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.gap(8)]"
      >
        <!-- Tugaskan -->
        <ng-container *ngIf="satudataUser.role_name === 'walidata'">
          <button
            [colorScheme]="colorScheme"
            (click)="onAssignment()"
            jdsBiButton
          >
            <div [ngClass]="[jds.me(8)]">
              <ng-container *ngTemplateOutlet="iconPaperPlane" />
            </div>
            <span>Tugaskan</span>
          </button>

          <!-- Nonaktifkan -->
          <div
            [popperApplyClass]="'e-walidata-offcanvas-assign-tooltip'"
            [popperDisabled]="!vm.getSelectedIndicatorNonactive"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper='Tombol "Nonaktifkan" hanya berlaku
            untuk uraian yang ada di kondisi 
            Pengajuan Nonaktif saja.'
            width="255"
          >
            <button
              [colorScheme]="vm.getSelectedIndicatorNonactive ? 'gray' : 'red'"
              [variant]="vm.getSelectedIndicatorNonactive ? 'input' : 'solid'"
              [disabled]="vm.getSelectedIndicatorNonactive"
              (click)="onNotActive()"
              jdsBiButton
            >
              <div [ngClass]="[jds.me(8)]">
                <ng-container *ngTemplateOutlet="iconBan" />
              </div>
              <span>Nonaktifkan</span>
            </button>
          </div>
        </ng-container>

        <ng-container *ngIf="satudataUser.role_name === 'opd'">
          <!-- Terima -->
          <button
            [colorScheme]="colorScheme"
            (click)="onAccept()"
            jdsBiButton
          >
            <div [ngClass]="[jds.me(8)]">
              <ng-container *ngTemplateOutlet="iconCheckDouble" />
            </div>
            <span>Terima</span>
          </button>

          <!-- Tolak -->
          <button
            [colorScheme]="'red'"
            (click)="onDecline()"
            jdsBiButton
          >
            <div [ngClass]="[jds.me(8)]">
              <ng-container *ngTemplateOutlet="iconBan" />
            </div>
            <span>Tolak</span>
          </button>
        </ng-container>
      </div>
    </div>
  </div>

  <div
    [ngClass]="[
      'e-walidata-offcanvas-assign-detail',
      jds.offcanvas,
      jds.offcanvasBottom,
      isOpenDetail ? 'show' : ''
    ]"
  >
    <jds-bi-scrollbar [ngClass]="[jds.p(16), jds.maxH(350)]">
      <div [ngClass]="[jds.card]">
        <div
          [ngClass]="[jds.cardBody, jds.bg(jdsBiColor.gray['50']), jds.p(16)]"
        >
          <div
            *ngFor="let item of vm.getSelectedIndicatorGroup; let last = last"
            [ngClass]="[!last ? jds.mb(24) : '']"
          >
            <div
              [ngClass]="[
                jds.fs(11),
                jds.fw('bold'),
                jds.text(jdsBiColor.blue['700']),
                jds.mb(8)
              ]"
            >
              {{ item.businessFieldName }}
            </div>

            <div *ngFor="let row of item.data; let last = last">
              <div
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('center'),
                  jds.gap(8),
                  jds.mb(6)
                ]"
              >
                <div [ngClass]="[jds.fs(12), jds.fw('bold')]">
                  {{ row.indicatorId }}
                </div>
                <span
                  *ngIf="row.indicatorStatus"
                  [colorScheme]="getStatusAssignment(row.indicatorStatus)"
                  [variant]="'subtle'"
                  jdsBiBadge
                >
                  {{ row.indicatorStatus }}
                </span>
              </div>
              <div [ngClass]="[jds.fs(14)]">
                {{ row.indicatorName }}
              </div>
              <hr
                *ngIf="!last"
                [ngClass]="[jds.bg(jdsBiColor.gray['500']), jds.my(8)]"
              />
            </div>
          </div>
        </div>
      </div>
    </jds-bi-scrollbar>
  </div>
</ng-container>

<app-e-walidata-modal-assign (removeAllSelected)="onRemoveAllSelected()" />
<app-e-walidata-modal-assign-decline
  (removeAllSelected)="onRemoveAllSelected()"
/>

<ng-template #iconPaperPlane>
  <svg
    width="20"
    height="20"
    viewBox="0 0 20 20"
    fill="currentColor"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M17.7595 2.24083C17.6023 2.08375 17.4061 1.97141 17.1911 1.91538C16.976 1.85935 16.7499 1.86167 16.5361 1.92208H16.5243L1.52903 6.47208C1.28494 6.54228 1.06802 6.68517 0.907157 6.88173C0.746298 7.07829 0.649134 7.31919 0.628603 7.57235C0.608072 7.82551 0.665148 8.07892 0.792232 8.29883C0.919316 8.51874 1.11038 8.69472 1.33997 8.80333L8.02903 11.9713L11.197 18.6604C11.297 18.8746 11.4562 19.0557 11.6559 19.1824C11.8555 19.309 12.0872 19.3759 12.3236 19.3752C12.3595 19.3752 12.3954 19.3736 12.4314 19.3705C12.6836 19.3501 12.9236 19.253 13.1191 19.0923C13.3146 18.9315 13.4563 18.7149 13.5251 18.4713L18.072 3.47599C18.072 3.47208 18.072 3.46818 18.072 3.46427C18.1332 3.25096 18.1365 3.0252 18.0816 2.81019C18.0267 2.59518 17.9155 2.39866 17.7595 2.24083ZM12.3306 18.1135L12.3267 18.1244L9.25169 11.633L12.9423 7.94161C13.0546 7.82345 13.1162 7.66611 13.1142 7.50313C13.1121 7.34015 13.0464 7.18444 12.9311 7.06919C12.8159 6.95394 12.6602 6.88827 12.4972 6.88618C12.3342 6.8841 12.1769 6.94576 12.0587 7.05802L8.36731 10.7486L1.87513 7.67365H1.88607L16.8751 3.12521L12.3306 18.1135Z"
    />
  </svg>
</ng-template>

<ng-template #iconBan>
  <svg
    width="20"
    height="20"
    viewBox="0 0 20 20"
    fill="currentColor"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M10 1.875C8.39303 1.875 6.82214 2.35152 5.486 3.24431C4.14985 4.1371 3.10844 5.40605 2.49348 6.8907C1.87852 8.37535 1.71762 10.009 2.03112 11.5851C2.34463 13.1612 3.11846 14.6089 4.25476 15.7452C5.39106 16.8815 6.8388 17.6554 8.4149 17.9689C9.99099 18.2824 11.6247 18.1215 13.1093 17.5065C14.594 16.8916 15.8629 15.8502 16.7557 14.514C17.6485 13.1779 18.125 11.607 18.125 10C18.1227 7.84581 17.266 5.78051 15.7427 4.25727C14.2195 2.73403 12.1542 1.87727 10 1.875ZM16.875 10C16.8766 11.6074 16.3121 13.1641 15.2805 14.3969L5.60313 4.71875C6.60703 3.88358 7.82804 3.35159 9.12326 3.18506C10.4185 3.01853 11.7344 3.22433 12.9169 3.77838C14.0994 4.33243 15.0997 5.21182 15.8006 6.31363C16.5016 7.41545 16.8743 8.69411 16.875 10ZM3.125 10C3.1234 8.39255 3.68793 6.83588 4.71953 5.60313L14.3969 15.2812C13.393 16.1164 12.172 16.6484 10.8767 16.8149C9.58152 16.9815 8.26565 16.7757 7.08313 16.2216C5.9006 15.6676 4.90033 14.7882 4.19937 13.6864C3.49841 12.5846 3.12575 11.3059 3.125 10Z"
    />
  </svg>
</ng-template>

<ng-template #iconChevronDown>
  <svg
    width="18"
    height="19"
    viewBox="0 0 18 19"
    fill="currentColor"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M9.57436 13.0666L15.8044 7.17509C15.9486 7.03883 16.0281 6.85693 16.0281 6.66297C16.0281 6.46902 15.9486 6.28712 15.8044 6.15086L15.3457 5.71699C15.0468 5.43467 14.561 5.43467 14.2626 5.71699L9.03098 10.6642L3.79354 5.7115C3.64933 5.57523 3.45709 5.5 3.2521 5.5C3.04688 5.5 2.85464 5.57523 2.71031 5.7115L2.25173 6.14537C2.10752 6.28174 2.02808 6.46353 2.02808 6.65748C2.02808 6.85144 2.10752 7.03334 2.25173 7.1696L8.48749 13.0666C8.63215 13.2032 8.82531 13.2782 9.03064 13.2778C9.23677 13.2782 9.4298 13.2032 9.57436 13.0666Z"
    />
  </svg>
</ng-template>

<ng-template #iconCheckDouble>
  <svg
    width="20"
    height="20"
    viewBox="0 0 20 20"
    fill="currentColor"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M11.6884 6.69662L4.68837 13.5716C4.57147 13.6866 4.41407 13.751 4.25009 13.751C4.08612 13.751 3.92871 13.6866 3.81181 13.5716L0.811812 10.6255C0.753282 10.568 0.706661 10.4995 0.674611 10.4239C0.642562 10.3483 0.625711 10.2672 0.625022 10.1851C0.624333 10.103 0.639818 10.0216 0.670594 9.94547C0.70137 9.86937 0.746834 9.80007 0.80439 9.74154C0.861946 9.68301 0.930467 9.63639 1.00604 9.60434C1.08161 9.57229 1.16276 9.55544 1.24485 9.55475C1.32693 9.55406 1.40835 9.56955 1.48445 9.60032C1.56055 9.6311 1.62984 9.67656 1.68837 9.73412L4.25009 12.2497L10.8126 5.80443C10.9309 5.68819 11.0905 5.62371 11.2564 5.62518C11.3385 5.6259 11.4197 5.6428 11.4953 5.67489C11.5709 5.70699 11.6394 5.75366 11.697 5.81224C11.7545 5.87083 11.8 5.94017 11.8307 6.01632C11.8615 6.09247 11.8769 6.17393 11.8762 6.25605C11.8755 6.33817 11.8586 6.41935 11.8265 6.49494C11.7944 6.57053 11.7477 6.63906 11.6892 6.69662H11.6884ZM19.1962 5.81224C19.1387 5.75362 19.0701 5.70691 18.9945 5.67478C18.9189 5.64266 18.8378 5.62575 18.7556 5.62502C18.6735 5.6243 18.592 5.63977 18.5159 5.67055C18.4397 5.70134 18.3704 5.74683 18.3118 5.80443L11.7493 12.2497L10.2782 10.8044C10.1599 10.6883 10.0003 10.6239 9.83453 10.6255C9.66875 10.627 9.51037 10.6943 9.39423 10.8126C9.2781 10.9309 9.21372 11.0905 9.21526 11.2563C9.21679 11.4221 9.28413 11.5805 9.40244 11.6966L11.311 13.5716C11.4279 13.6866 11.5853 13.751 11.7493 13.751C11.9133 13.751 12.0707 13.6866 12.1876 13.5716L19.1876 6.69662C19.2463 6.63914 19.293 6.57066 19.3252 6.49509C19.3574 6.41952 19.3744 6.33835 19.3752 6.25621C19.376 6.17408 19.3606 6.09259 19.3299 6.01641C19.2992 5.94023 19.2537 5.87085 19.1962 5.81224Z"
    />
  </svg>
</ng-template>
